r15154 - gnucash/trunk/packaging/win32 - Check for installed perl by absolute path of expected location

Christian Stimming cstim at cvs.gnucash.org
Tue Nov 28 03:46:32 EST 2006


Author: cstim
Date: 2006-11-28 03:46:31 -0500 (Tue, 28 Nov 2006)
New Revision: 15154
Trac: http://svn.gnucash.org/trac/changeset/15154

Modified:
   gnucash/trunk/packaging/win32/install.sh
Log:
Check for installed perl by absolute path of expected location

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-11-27 19:53:48 UTC (rev 15153)
+++ gnucash/trunk/packaging/win32/install.sh	2006-11-28 08:46:31 UTC (rev 15154)
@@ -161,7 +161,8 @@
 
 function inst_dtk() {
     setup MSYS DTK
-    if quiet perl --help
+    _MSYS_UDIR=`unix_path $MSYS_DIR`
+    if quiet ${_MSYS_UDIR}/perl --help
     then
         echo "msys dtk already installed.  skipping."
     else
@@ -178,7 +179,7 @@
             mv $file $_dst_file
         done
     fi
-    quiet perl --help || die "msys dtk not installed correctly"
+    quiet ${_MSYS_UDIR}/perl --help || die "msys dtk not installed correctly"
 }
 
 function inst_mingw() {



More information about the gnucash-changes mailing list